import request from '@/utils/request'

export function index(params,isLoading=true){
  return request({
    isLoading,
    method:'get',
    url:'/api/admin/common-service/index',
    params
  })
}

export function show(params){
  return request({
    method:'get',
    url:'/api/admin/common-service/show',
    params
  })
}

export function store(data){
  return request({
    method:'post',
    url:'/api/admin/common-service/store',
    data
  })
}

export function save(data){
  return request({
    method:'post',
    url:'/api/admin/common-service/save',
    data
  })
}

export function destroy(data){
  return request({
    method:'post',
    url:'/api/admin/common-service/destroy',
    data
  })
}


export function getMerchantItems(params){
  return request({
    method:'get',
    url:'/api/admin/common-service/get-merchant-items',
    params
  })
}

export function getPicture(params){
  return request({
    method:'get',
    url:'/api/admin/common-service/get-picture',
    params
  })
}
